Bug 1263985 - Lenovo OneLinkPro ethernet (VID:17ef PID:304f) uses wrong driver
Lenovo OneLinkPro ethernet (VID:17ef PID:304f) uses wrong driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 05:15 EDT by Simon Persson
Modified: 2015-09-24 04:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 04:30:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Persson 2015-09-17 05:15:22 EDT
Description of problem:
Ethernet adapter in the Lenovo Thinkpad OneLink Pro Dock uses the r8152 driver instead of ax88179_178a. Hardware detects network link whilst the system reports no cable attatched.


Version-Release number of selected component (if applicable):

$ uname -r
4.1.6-201.fc22.x86_64


Additional info:

$ lshw
...
  *-network:2
       description: Ethernet interface
       physical id: 3
       logical name: enp0s20u3u1u3
       serial: 00:50:b6:c3:9d:b4
       size: 1Gbit/s
       capacity: 1Gbit/s
       capabilities: ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8152 driverversion=v1.08.0 (2015/01/13) duplex=full link=no multicast=yes port=MII speed=1Gbit/s
Comment 1 Simon Persson 2015-09-17 09:23:13 EDT
Workaround:

Modified the ax88179_178a driver to detect the OneLinkPro Dock instead of the OneLink USB3.0 Dock.

No side effects as far I can tell for now.

http://www.asix.com.tw/products.php?op=pItemdetail&PItemID=131;71;112

http://www.asix.com.tw/FrootAttach/driver/AX88179_178A_LINUX_DRIVER_v1.14.2_SOURCE.tar.gz


-- ax88179_178a.c.org	2015-07-22 11:37:31.000000000 +0200
+++ ax88179_178a.c	2015-09-17 15:07:35.956140204 +0200
@@ -2130,7 +2130,7 @@
 	.driver_info = (unsigned long) &sitecom_info,
 }, {
 	/* ThinkPad OneLinkDock USB GigaLAN */
-	USB_DEVICE(0x17ef, 0x304b),
+	USB_DEVICE(0x17ef, 0x304f),
 	.driver_info = (unsigned long) &lenovo_info,
 }, {
 	/* Toshiba USB3.0 to Gigabit LAN Adapter */

Note You need to log in before you can comment on or make changes to this bug.